----------------------------------------------------------------------------
----                                                                    ----
----  This file is part of the WATCHDOG project                         ----
----                                                                    ----
----  Description:                                                      ----
----  Implementation of a WATCHDOG for RISCMCU                          ----
----                                                                    ----
----                                                                    ----
----------------------------------------------------------------------------
----                                                                    ----
----  Copyright (C) 2006 P. Sarro, C. Sasso, G. Scappatura              ----
----                                                                    ----
----  This source file may be used and distributed without              ----
----  restriction provided that this copyright statement is not         ----
----  removed from the file and that any derivative work contains       ----
----  the original copyright notice and the associated disclaimer.      ----
----                                                                    ----
----  This source file is free software; you can redistribute it        ----
----  and/or modify it under the terms of the GNU Lesser General        ----
----  Public License as published by the Free Software Foundation;      ----
----  either version 2.1 of the License, or (at your option) any        ----
----  later version.                                                    ----
----                                                                    ----
----  This source is distributed in the hope that it will be            ----
----  useful, but WITHOUT ANY WARRANTY; without even the implied        ----
----  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR           ----
----  PURPOSE. See the GNU Lesser General Public License for more       ----
----  details.                                                          ----
----                                                                    ----
----  A copy of the license can be found at                             ----
----  http://www.fsf.org/licensing/licenses/lgpl.html                   ----
----                                                                    ----
----------------------------------------------------------------------------


LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY encoder_16_6_tb IS
END encoder_16_6_tb;

ARCHITECTURE behavior OF encoder_16_6_tb IS 

	COMPONENT encoder_16_6 
	  generic (  nbitin  :     integer ;  
	            nbitout :     integer );  
	PORT(
		in0 : IN std_logic_vector(nbitin-1 downto 0);          
		out0 : OUT std_logic_vector(nbitout-1 downto 0)
		);
	END COMPONENT;

  constant nbitin : integer := 16;
  constant nbitout : integer := 6;
	SIGNAL in0 :  std_logic_vector(nbitin-1 downto 0);
	SIGNAL out0 :  std_logic_vector(nbitout-1 downto 0);

  constant delay : time := 10 ns;
BEGIN

	DUT: encoder_16_6
	    generic map (
	        nbitin => nbitin,
	        nbitout => nbitout)
	      PORT MAP(
			in0 => in0,
			out0 => out0);


  in0 <= "0101001001001110", "0101001111001000" after 4*delay, "0100001010001001" after 7*delay, "0101111010001001" after 10*delay, "0111101010001001" after 13*delay, "1110001010001001" after 15*delay, "0000001010001001" after 18*delay, "0100001000001001" after 19*delay, "0110001010001001" after 21*delay, "1100001010001001" after 23*delay;

END;
