----------------------------------------------------------------------------
----                                                                    ----
----  This file is part of the WATCHDOG project                         ----
----                                                                    ----
----  Description:                                                      ----
----  Implementation of a WATCHDOG for RISCMCU                          ----
----                                                                    ----
----                                                                    ----
----------------------------------------------------------------------------
----                                                                    ----
----  Copyright (C) 2006 P. Sarro, C. Sasso, G. Scappatura              ----
----                                                                    ----
----  This source file may be used and distributed without              ----
----  restriction provided that this copyright statement is not         ----
----  removed from the file and that any derivative work contains       ----
----  the original copyright notice and the associated disclaimer.      ----
----                                                                    ----
----  This source file is free software; you can redistribute it        ----
----  and/or modify it under the terms of the GNU Lesser General        ----
----  Public License as published by the Free Software Foundation;      ----
----  either version 2.1 of the License, or (at your option) any        ----
----  later version.                                                    ----
----                                                                    ----
----  This source is distributed in the hope that it will be            ----
----  useful, but WITHOUT ANY WARRANTY; without even the implied        ----
----  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR           ----
----  PURPOSE. See the GNU Lesser General Public License for more       ----
----  details.                                                          ----
----                                                                    ----
----  A copy of the license can be found at                             ----
----  http://www.fsf.org/licensing/licenses/lgpl.html                   ----
----                                                                    ----
----------------------------------------------------------------------------
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

-------------------------------------------------------------------------------

entity mask_tb is

end mask_tb;

-------------------------------------------------------------------------------

architecture test of mask_tb is

  component mask
    generic (
      nbit : integer);
  port (
    out0     : out std_logic_vector (nbit-1 downto 0);
    in0      : in  std_logic_vector (nbit-1 downto 0);
    in1      : in  std_logic_vector (nbit-1 downto 0));
  end component;

  constant nbit : integer := 16;

  signal out0     : std_logic_vector (nbit-1 downto 0);
  signal in0      : std_logic_vector (nbit-1 downto 0);
  signal in1      : std_logic_vector (nbit-1 downto 0);
  

begin  -- test

  DUT: mask
    generic map (
        nbit => nbit)
    port map (
        out0     => out0,
        in0      => in0,
        in1      => in1);


  in0 <= "0101001001001000", "0101001111001111" after 5 ns, "0100001001001100" after 10 ns;
  in1 <= "0101001101001010", "0111001101001000" after 3 ns, "0101101001001011" after 7 ns;




end test;

-------------------------------------------------------------------------------
